Last Comment Bug 2522 - [PP]windows 9x only: euro character does not display
: [PP]windows 9x only: euro character does not display
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Windows 98
: P3 normal (vote)
: M5
Assigned To: Erik van der Poel
: Chris Petersen
Mentors:
http://schist.mcom.com/euro.html
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-20 16:07 PST by cpratt
Modified: 2005-03-17 13:34 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description cpratt 1999-01-20 16:07:57 PST
A simple HTML file with "€" in it doesn't display the euro character; it
displays what I think is the tab character. The same file displays correctly in
4.5x and MSIE 4.x.

Sample HTML:

<html><head></head><body>&euro; is the Euro symbol.</body></html>
Comment 1 leger 1999-02-03 08:07:59 PST
Setting all current Open/Normal to M4.
Comment 2 Paul MacQuiddy 1999-02-03 18:53:59 PST
giving all of garret's bugs to don. Don, if you're the wrong person, a thousand
apologies.
Comment 3 don 1999-02-16 16:52:59 PST
Re-assigned to rickg@netscape.com.

Rick, any idea who should get this beast?  Sounds like some kind of layout
problem?
Comment 4 Paul MacQuiddy 1999-03-05 22:38:59 PST
per leger, assigning QA contacts to all open bugs without QA contacts according
to list at http://bugzilla.mozilla.org/describecomponents.cgi?product=Browser
Comment 5 rickg 1999-03-15 22:16:59 PST
Frank -- The parser see and processes these correctly. It appears to be a font
rendering problem. Perhaps you'd like to fix this?
Comment 6 Frank Tang 1999-03-16 10:21:59 PST
petersen, could you verify again about this bug. I cannot reproduce this in my
system. It is possible a fix I check in in Layout last week fix this problem.
The fix I check in is to fix the case a non-ASCII only in the position of the
beginning of a *word*. Before my fix, a word which have non-ASCII in the first
character and first character only won't display that character correctly. The
euro sign along is one of the case. (NOTE: The problem is in nsTextTransfomer,
mHasMultiByte does not get turn TRUE when only the first character of the word
is non-ASCII)

I will mark this fix since I cannot reproduce this in 3-15 build on Window 98.
Please verify and reopen it if you can reproduce this on window 98 w/ a version
later than 3/15. Thanks.

Add teruko@netscape.com (IQA) to the cc list.
Comment 7 cpratt 1999-03-16 10:52:59 PST
Looks good to me on Mac OS 8.5, Win NT, Win 98. March 16 build.
Comment 8 Chris Petersen 1999-03-16 11:53:59 PST
According to Chris Pratt, updating Win NT with service pack 4 will resolve the
Euro character problem. Windows 98 and 95 have simular solutions.
Comment 9 cpratt 1999-03-16 12:13:59 PST
Originally, this problem was reported against NT 4 SP 4 and Windows 98, but it
was fixed at some point.

If anyone else needs to regress this bug, note that whether or not you'll have
the Euro character available for seamonkey depends entirely on your OS. Clean
installs of Mac OS 8.5 work. NT 4 Service Pack 4 works. Windows 98 should work.
Other OSes will need vendor-supplied patches or updates to work correctly with
the euro character.
Comment 10 cpratt 1999-04-09 21:20:59 PDT
It's broken in apprunner, the april 9 build.
Comment 11 Erik van der Poel 1999-04-13 09:32:59 PDT
Let's make this the Windows euro bug report. If there are problems with the
euro on other platforms (Mac, Linux) please create separate bug reports.
Comment 12 cpratt 1999-04-13 09:45:59 PDT
it seems to be working correctly on the mac and under windows nt using the april
12 and 13 builds. marking as fixed and verifying. we should however check the m4
build again to make sure it's fixed in that build (i only verified it against
early m5 builds).
Comment 13 cpratt 1999-04-14 16:55:59 PDT
sorry, this is broken on windows 98 and 95 but works every else.
Comment 14 cpratt 1999-04-14 16:55:59 PDT
sorry, meant to say 'everywhere else' (works on nt 4 sp 4 and mac os 8.5.1).
Comment 15 Chris Petersen 1999-04-26 12:22:59 PDT
Fixed in April 26th Win 32 Build.

Note You need to log in before you can comment on or make changes to this bug.